# GamePhaseBuilder

class GamePhaseBuilder(length: Long)
Content copied to clipboard

## Functions

build
Link copied to clipboard
fun build(): GamePhase
Content copied to clipboard
counterMessage
Link copied to clipboard
fun counterMessage(callback: (secondsLeft: Long) -> String)
Content copied to clipboard
fun counterMessage(beforeTime: String? = null, afterTime: String? = null, hours: String = "h", minutes: String = "m", seconds: String = "s")
Content copied to clipboard
end
Link copied to clipboard
fun end(callback: () -> Unit)
Content copied to clipboard
equals
Link copied to clipboard
open operator fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open fun hashCode(): Int
Content copied to clipboard
start
Link copied to clipboard
fun start(callback: () -> Unit)
Content copied to clipboard
toString
Link copied to clipboard
open fun toString(): String
Content copied to clipboard

## Properties

length
Link copied to clipboard
val length: Long
Content copied to clipboard